org.apache.hc.core5.http.io

## Interface HttpServerRequestHandler

- All Known Implementing Classes:
    BasicHttpServerExpectationDecorator, BasicHttpServerRequestHandler, HttpServerFilterChainRequestHandler

      @Contract(threading=STATELESS)
      public interface HttpServerRequestHandler

  HttpServerRequestHandler represents a routine for processing of a specific group of HTTP requests. Request execution filters are designed to take care of protocol specific aspects, whereas individual request handlers are expected to take care of application specific HTTP processing. The main purpose of a request handler is to generate a response object with a content entity to be sent back to the client in response to the given request.
  Since:
    5.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `HttpServerRequestHandler.ResponseTrigger` Response trigger that can be used to submit a final HTTP response and terminate HTTP request processing.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handle(ClassicHttpRequest request, HttpServerRequestHandler.ResponseTrigger responseTrigger, HttpContext context)` Handles the request and submits a final response to be sent back to the client.

- - ### Method Detail

    - #### handle

          void handle(ClassicHttpRequest request,
                      HttpServerRequestHandler.ResponseTrigger responseTrigger,
                      HttpContext context)
               throws HttpException,
                      IOException

      Handles the request and submits a final response to be sent back to the client.
      Parameters:
        `request` - the actual request.
        `responseTrigger` - the response trigger.
        `context` - the actual execution context.
      Throws:
        `HttpException`
        `IOException`

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.